Page 3 of 5 FirstFirst 12345 LastLast
Results 21 to 30 of 42

Thread: How to use GIMP 2.8 on Lucid 10.04.4 LTS

  1. #21
    Join Date
    Jun 2007
    Beans
    322

    Re: How to use GIMP 2.8 on Lucid 10.04.4 LTS

    Quote Originally Posted by jimstar79 View Post

    Otto's PPA hasn't upgraded Gimp from 2.7 to 2.8 for me.
    AFAIK Otto hasn't built the complete Lucid standalone Gimp 2.8 PPA as yet so I wouldn't expect that to work.

    Hopefully miskopo can help resolve your problem...

    Else you could take the easy way out and follow the original instructions!

    OT, have been test driving Precise for a while now, very smooth looking but a few problems lurking around... (NVidia graphics/ shutdown problems/ silly global app menu that only appears on mouseover/ app launch bar doubling up for app switching - not very well I might add)...
    Intel C2D E7200 || Intel DG33FB mobo || 4 GB RAM || 64 bit Lucid/ Precise Desktops || WD Caviar Black 1TB, Green 2TB; Corsair Force 3 60GB
    Dell U2412M || Palit Sonic GT 240 (OC'd NVidia card) || Logitech Quickcam Connect || Acer 3300U Scanner

  2. #22
    Join Date
    Jul 2010
    Beans
    55
    Distro
    Ubuntu 10.04 Lucid Lynx

    Re: How to use GIMP 2.8 on Lucid 10.04.4 LTS

    Hi Shreepads!

    I have already started trying to compile from you original instructions. I have also found these instructions:

    https://alancads.wordpress.com/2012/...-ubuntu-10-04/

    Maybe you could take a look at these and let me know what you think of them?

    I know that you have spent a lot of time and effort working on this - I have seen your name around the interweb.

    If I can't manage to get this to work I am considering installing 12.04 alongside 10.04, because 10.04 is absolutely rock solid apart from Gimp. What do you think of this idea? Ingenious? Stupid?

    Will let you know how my efforts work out.

    cheers man

  3. #23
    Join Date
    Jul 2010
    Beans
    55
    Distro
    Ubuntu 10.04 Lucid Lynx

    Re: How to use GIMP 2.8 on Lucid 10.04.4 LTS

    well, that was shortlived!

    ran into the same problem as yesterday:

    install: error: cannot install `libgthread-2.0.la' to a directory not ending in /home/star-12/Gimp/Gimp2.8/src/build/lib

  4. #24
    Join Date
    Jul 2010
    Beans
    55
    Distro
    Ubuntu 10.04 Lucid Lynx

    Re: How to use GIMP 2.8 on Lucid 10.04.4 LTS

    Shreepads [anybody],

    I followed all the instructions from the orginal work which you based yours on - and everything worked! Right up the important part at the end then I get this simple but obstructive piece of info:

    ./gimp-2.8.0: No such file or directory

    How can it not have been created after everything I have already done?

    Is there a quick fix to get around this as I have spent hours sitting here compiling the whole thing from source?

    Any help will be really appreciated!

  5. #25
    Join Date
    Jul 2010
    Beans
    55
    Distro
    Ubuntu 10.04 Lucid Lynx

    Re: How to use GIMP 2.8 on Lucid 10.04.4 LTS

    Cyber High-Five, Shreepads, and a massive cybe hug!!!

    Managed to get it working, had to rely a lot on what you made and the one from the original source!!

    Now to give it a nice theme and a launcher!!

    wonderful, thanks so much for your tutorial!!

    ps: if you are seeing a lot of permission denied's coming up, one must go into gksu nautilus and change the permissions of the specific folders. Hope it's ok to make a suggestion like that? Should these folders then be resigned as Root?

  6. #26
    Join Date
    Jul 2010
    Beans
    55
    Distro
    Ubuntu 10.04 Lucid Lynx

    Re: How to use GIMP 2.8 on Lucid 10.04.4 LTS

    Apologies for hijacking this thread.

    I am stuck trying to create a launcher for Gimp 2.8. I have tried using the steps mentioned in the tutorial but it really doesn't seem to work. I've never had to create a launcher before!

    Any tips on how to change the Gimp theme, it reminds me of my old photoshop running on Wine, apart from the great features that is!

    Peace and Gimp everybody!

  7. #27
    Join Date
    Jul 2010
    Beans
    55
    Distro
    Ubuntu 10.04 Lucid Lynx

    Re: How to use GIMP 2.8 on Lucid 10.04.4 LTS

    Ok guys,

    (Working in Ubuntu 10.04)

    this is what I have done to create a launcher.

    It is different to Shreepads as I followed slighly different instructions which used /opt and /tmp folders.

    Here we go:

    I created a text file with gedit and inserted the following:

    #! /bin/sh
    export LD_LIBRARY_PATH=/opt/Gimp/Gimp2.8/build/lib:$LD_LIBRARY_PATH
    /opt/gimp-2.8/bin/gimp-2.8
    exit 0

    and saved it as gimp28.sh in my home/user folder.

    I then made this file executable by using chmod +x gimp28.sh

    Following this I opened preferences > main menu > and created a new item

    name: Gimp 2.8
    Command: /opt/gimp-2.8/bin/gimp-2.8

    You can also add an icon if you like.

    I hope this helps.

    Good night and good luck

    Thanks again to shreepad and also andrea roscioli!!

  8. #28
    Join Date
    Jun 2007
    Beans
    322

    Re: How to use GIMP 2.8 on Lucid 10.04.4 LTS

    Excellent! Sorry I couldn't help when you were stuck earlier, was fiddling around in Precise trying to get shutdown working properly...
    Intel C2D E7200 || Intel DG33FB mobo || 4 GB RAM || 64 bit Lucid/ Precise Desktops || WD Caviar Black 1TB, Green 2TB; Corsair Force 3 60GB
    Dell U2412M || Palit Sonic GT 240 (OC'd NVidia card) || Logitech Quickcam Connect || Acer 3300U Scanner

  9. #29
    Join Date
    Feb 2008
    Location
    In my skin.
    Beans
    Hidden!
    Distro
    Xubuntu

  10. #30
    Join Date
    Jul 2010
    Beans
    55
    Distro
    Ubuntu 10.04 Lucid Lynx

    Re: How to use GIMP 2.8 on Lucid 10.04.4 LTS

    I'm back - because I am so excited about having Gimp 2.8 on Ubuntu 10.04 - to share what I did to change the theme of Gimp. I think it ends up looking like your systems theme.

    I used Andrea Roscioli's [slightly edited] method:

    " Since we use a different version of GTK + for gimp 2.8, gimp will look "ugly".

    We will have to copy...

    the engines of /usr/lib/gtk-2.0/2.10.0/engines to /opt/gimp-2.8/lib/gtk-2.0/2.10.0/engines

    the theme from /usr/share/themes to / opt/gimp-2.8/share/themes theme

    and icons that use of /usr/share/icons to /opt/gimp-2.8/share/icons."

    For Roscioli's complet guide go here:

    https://rubensa.wordpress.com/2012/0...-04-lts-lucid/


    Grazie!!

Page 3 of 5 FirstFirst 12345 LastLast

Tags for this Thread

Bookmarks

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •